# Listings

1 operation on the Logion v1 API.

- [Search listings](#search-listings) — `GET /v1/listings`

## Search listings

```http
GET /v1/listings
```

Operation id: `search_listings`

Takes an [`Authorization`](/docs/api/overview#authentication) header.

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `query` | query | string, optional | no |
| `tags` | query | string, optional | no |
| `category` | query | string, optional | no |
| `language` | query | string, optional | no |
| `price_min` | query | integer, optional | no |
| `price_max` | query | integer, optional | no |
| `sort` | query | enum("relevance", "newest", "recently_updated", "price_low", "price_high", "most_useful") | no |
| `limit` | query | integer | no |
| `cursor` | query | string, optional | no |
| `include_indexed` | query | boolean | no |
| `tier` | query | string, optional | no |

**Responses**

| Status | Meaning | Schema |
| --- | --- | --- |
| `200` | Successful response | `SearchListingsResponse` |
| `401` | Unauthorized | `ErrorResponse` |
| `422` | Validation or domain error | `ErrorResponse` |

Returns `SearchListingsResponse`:

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `items` | ListingItemResponse[] | yes |  |
| `next_cursor` | string, optional | no |  |

**From the CLI**

- [`logion listings search`](/docs/cli/listings#logion-listings-search)
- [`logion skills search`](/docs/cli/skills#logion-skills-search)
